Send a reminder for inactive passes
POST
https://api-v2.test.eldowallet.fr/clients/reminder-inactive
Sends an email and/or SMS reminder to clients whose loyalty card has the inactive status. type: all targets all of them, type: specific only the clients listed in ids. Returns the number of cards found (totalPasses), reminders queued (emailsQueued) and cards skipped (passesSkipped).
Good to know
ids[]is required whentypeisSPECIFIC.
Request
header parameters
x-langstringLanguage for responsesenum:en,frdefault:"en"
Body
application/json requiredtypestring requiredenum:specific,allidsstring[]
Responses
- 201
- 400
- 401
- 403
- 404
- 409
- 500
Schema
application/jsontotalPassesnumber requiredTotal number of inactive passes foundexample:100emailsQueuednumber requiredNumber of reminder emails successfully queuedexample:85passesSkippednumber requiredNumber of passes skipped (missing email or passBuilderPassId)example:15
VALIDATION_ERROR · INVALID_JSON · INSUFFICIENT_CREDIT · OPERATION_TYPE_REQUIRED · OPERATION_TYPE_NOT_ALLOWED
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
UNAUTHORIZED
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
FORBIDDEN
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
MODEL_NOT_FOUND
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
INSUFFICIENT_CREDIT_PARTIAL
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email
UNKNOWN_ERROR
Schema
application/jsonmessagestring requiredexample:Promo code already existserrorCodestring requiredexample:400:PROMO_CODE_ALREADY_EXISTSpathstring requiredexample:/couponsdatestring <date-time> requireddetailsobjectvalidationErrorsobject[]fieldstringexample:emailmessagestringexample:email must be an email